# Studio 11 Questions

# 1. Put your code answering the R questions in this file.
# 2. Read all instructions carefully!
# 3. If code is given with a question it is meant to be used. Don't just ignore it.
# 4. Before uploading the the code: clear your environment and source
#    the entire file (choose source from the code menu).
#   -- Make sure that it runs without error and outputs just the
#     answers asked for in the questions.
#   -- Remember to use print statements to print the values asked for
# 5. **** Upload your code to  ****
#    https://math.mit.edu/~dav/uploads/

#--------------------------------------
# Summary of questions
# 1. Simulate a poll.
#   a. Compute confidence intervals.
#   b. Run a simulation to estimate the CI type 1 error rate.
# 2. Simulate a poll again. 
#   a. Run a NHST
#   d. Run a simulation to estimate the power.

#------------------------- #
# The following completely cleans the environment
cat("\014")    #clear RStudio console
rm(list=ls())  #clear environment
# Run this to completely clean the environment
rm(list=ls())  #clear environment
cat("\014")    #clear RStudio console
if (!is.null(dev.list())) {
  dev.off()  #Clear plot window, reset plot pars
}

#--------------------------#
# Problem 1. In this problem we will simulate running and analyzing a poll.
cat("\n----------------------------------\n")
cat("Problem 1.\n")

cat("-----\1a.\n") 
# (i) Using a Bernoulli probability of 0.55 (for Lincoln, identified with 
# "heads" for an obvious reason) simulate a poll of 300 voters asked if they 
# prefer Lincoln or Douglas. Print out the result as an estimate of the 
# proportionwho prefer Lincoln with a margin of error.  Use the rule of 
# thumb 95% confidence interval for the margin of error.

# (ii) Is the true Bernoulli proportion in your confidence interval?

set.seed(42) # This sets the random number generator so we should all get the same results

# Do not change the above code above. Your code goes below here.

cat("\n-----\nProblem 1b.\n")
# Problem 1b. Simulate the poll in part (a) ntrials=10000 times. Keep track
# of the CI type 1 errors and print out your simulated CI type 1 error rate.

ntrials = 10000

# Do not change the above code above. Your code goes below here.

# Problem 2. In this problem we will simulate running and analyzing a NHST.
cat("\n----------------------------------\n")
cat("Problem 2.\n")
cat("\n-----\nProblem 2a.\n")
# Problem 2a. Simulate a poll and run a significance test to answer the 
# question: do the voters prefer Lincoln?
# Use a significance level of 0.01.
# Use the conservative normal estimate for your p-value.
# Use the same true proportion of 0.55 and sample size of 300 as above
# Print out statements of your null and alternative hypotheses and 
# whether to reject or not reject the null hypothesis

set.seed(43) # This sets the random number generator so we should all get the same results

# Do not change the above code above. Your code goes below here.

cat("\n-----\nProblem 2b.\n")
# Problem 2b. Simulate the poll in part (c) ntrials=10000 times. Keep track of the type 2 errors and print out your simulated power

ntrials = 10000

# Do not change the above code above. Your code goes below here.

# Problem 3. For a bonus point; you can skip this for full credit.
cat("\n----------------------------------\n")
cat("Problem 3.\n")
# Calculate the theoretical power of the test in problem 2 assuming
# the alternative hypothesis theta=.55.

# Your code goes below here.